;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; and now for something completely different...
;; UrForth/C Forth Engine!
;; Copyright (C) 2023 Ketmar Dark // Invisible Vector
;; GPLv3 ONLY
;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; .SNA writer: header data
;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

create ursna48 here
0x3f c, 0x00 c, 0x00 c, 0x9b c, 0x36 c, 0x21 c, 0x17 c, 0x44 c, 0x00 c, 0xe8 c, 0x5c c, 0xad c, 0x1a c, 0xa1 c, 0x1e c, 0x3a c,
0x5c c, 0xd4 c, 0x03 c, 0x04 c, 0x2c c, 0x98 c, 0x33 c, 0x80 c, 0x5d c, 0x01 c, 0x07 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0x18 c, 0x00 c, 0xff c, 0x38 c, 0xff c,
0x38 c, 0xff c, 0x38 c, 0x03 c, 0x38 c, 0xff c, 0x00 c, 0x00 c, 0x08 c, 0x00 c, 0xff c, 0x00 c, 0x20 c, 0x33 c, 0x0d c, 0x05 c,
0x23 c, 0x0d c, 0x00 c, 0x03 c, 0x0d c, 0x23 c, 0x05 c, 0x00 c, 0x04 c, 0x00 c, 0x00 c, 0x0d c, 0x01 c, 0x00 c, 0x06 c, 0x00 c,
0x0b c, 0x00 c, 0x01 c, 0x00 c, 0x01 c, 0x00 c, 0x06 c, 0x00 c, 0x10 c, 0x00 c, 0x19 c, 0x00 c, 0x00 c, 0x0a c, 0x3c c, 0x40 c,
0x00 c, 0xff c, 0xcc c, 0x01 c, 0x84 c, 0x5d c, 0x54 c, 0xff c, 0x00 c, 0x02 c, 0x00 c, 0x00 c, 0x09 c, 0xff c, 0xfe c, 0xff c,
0x01 c, 0x38 c, 0x0a c, 0x00 c, 0xe4 c, 0x5c c, 0x00 c, 0x00 c, 0x11 c, 0x00 c, 0xb6 c, 0x5c c, 0xb6 c, 0x5c c, 0xcb c, 0x5c c,
0xe7 c, 0x5c c, 0xca c, 0x5c c, 0xe5 c, 0x5c c, 0xe6 c, 0x5c c, 0xe6 c, 0x5c c, 0x00 c, 0x00 c, 0x0c c, 0x00 c, 0xe8 c, 0x5c c,
0xe8 c, 0x5c c, 0xed c, 0x5c c, 0xff c, 0x92 c, 0x5c c, 0x10 c, 0x02 c, 0x00 c, 0x07 c, 0x00 c, 0x00 c, 0x02 c, 0xac c, 0x1a c,
0x00 c, 0x00 c, 0x06 c, 0x00 c, 0xab c, 0x06 c, 0x00 c, 0x58 c, 0xff c, 0x00 c, 0x00 c, 0x12 c, 0x00 c, 0x21 c, 0x00 c, 0x5b c,
0x21 c, 0x17 c, 0x00 c, 0x40 c, 0xe0 c, 0x50 c, 0x21 c, 0x18 c, 0x21 c, 0x17 c, 0x01 c, 0x38 c, 0x00 c, 0x38 c, 0x00 c, 0x08 c,
0x00 c, 0x00 c, 0x01 c, 0x0a c, 0x00 c, 0x03 c, 0x00 c, 0x00 c, 0x01 c, 0x0a c, 0x00 c, 0x12 c, 0x00 c, 0x00 c, 0x02 c, 0x87 c,
0x5d c, 0xff c, 0x00 c, 0x1f c, 0xff c, 0xf4 c, 0x09 c, 0xa8 c, 0x10 c, 0x4b c, 0xf4 c, 0x09 c, 0xc4 c, 0x15 c, 0x53 c, 0x81 c,
0x0f c, 0xc4 c, 0x15 c, 0x52 c, 0xf4 c, 0x09 c, 0xc4 c, 0x15 c, 0x50 c, 0x80 c, 0x00 c, 0x0a c, 0x15 c, 0x00 c, 0xfd c, 0xb0 c,
0x22 c, 0x32 c, 0x34 c, 0x39 c, 0x02 c, 0x39 c, 0x00 c, 0x08 c, 0x22 c, 0x3a c, 0xf9 c, 0xc0 c, 0xb0 c, 0x22 c, 0x32 c, 0x35 c,
0x30 c, 0x02 c, 0x30 c, 0x00 c, 0x06 c, 0x22 c, 0x0d c, 0x80 c, 0xf7 c, 0x0d c, 0x80 c, 0x00 c, 0x05 c, 0x00 c, 0x00 c, 0x05 c,
0x87 c, 0x5d c, 0x00 c, 0x0d c, 0x80 c, 0x00 c, 0x00 c, 0x03 c, 0x00 c, 0x87 c, 0x5d c, 0x00 c, 0x00 c, 0x02 c, 0x00 c, 0x0a c,
0x00 c, 0x00 c, 0x02 c, 0x00 c, 0x80 c, 0x00 c, 0x4a c, 0x00 c, 0x00 c, 0x40 c, 0xf3 c, 0x0d c, 0xce c, 0x0b c, 0xe2 c, 0x50 c,
0xce c, 0x0b c, 0xe3 c, 0x50 c, 0x1e c, 0x17 c, 0xdc c, 0x0a c, 0xce c, 0x0b c, 0xe4 c, 0x50 c, 0x1d c, 0x17 c, 0xdc c, 0x0a c,
0xd7 c, 0x18 c, 0x02 c, 0x00 c, 0x38 c, 0x00 c, 0x0d c, 0x19 c, 0xe6 c, 0x5c c, 0xa9 c, 0x18 c, 0xdb c, 0x02 c, 0x4d c, 0x00 c,
0xb1 c, 0x33 c, 0xe8 c, 0x5c c, 0x05 c, 0x00 c, 0xc8 c, 0x32 c, 0x29 c, 0x34 c, 0x9b c, 0x36 c, 0x65 c, 0x33 c, 0xed c, 0x1c c,
0xf1 c, 0x1b c, 0xa1 c, 0x1e c, 0x76 c, 0x1b c, 0x03 c, 0x13 c, 0x00 c, 0x3e c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c,
0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0xff c, 0x00 c, 0x29 c,
0x00 c, 0x00 c, 0x4a c, 0xdb c, 0x02 c, 0xdb c, 0x02 c, 0x4d c, 0x00 c, 0xb7 c, 0x5c c, 0xf3 c, 0x0d c, 0xce c, 0x0b c, 0xe4 c,
0x50 c, 0xce c, 0x0b c, 0xe5 c, 0x50 c, 0x1c c, 0x17 c, 0xdc c, 0x0a c, 0xce c, 0x0b c, 0xeb c, 0x50 c, 0x16 c, 0x17 c, 0xdc c,
0x0a c, 0xd7 c, 0x18 c, 0xb1 c, 0x33 c, 0xf7 c, 0x5c c, 0x05 c, 0x00 c, 0xdb c, 0x02 c, 0x4d c, 0x00 c, 0x70 c, 0x56 c, 0x90 c,
0x00 c, 0x6f c, 0x56 c, 0x8c c, 0x08 c, 0x5c c, 0x0e c, 0x00 c, 0x47 c, 0xc0 c, 0x57 c, 0x71 c, 0x0e c, 0xf3 c, 0x0d c, 0x21 c,
0x17 c, 0xc6 c, 0x1e c, 0x87 c, 0x5d c, 0x76 c, 0x1b c, 0x03 c, 0x13 c, 0x00 c, 0x3e c, 0x00 c, 0x3c c, 0x42 c, 0x00 c, 0x02 c,
0x42 c, 0x7e c, 0x42 c, 0x00 c, 0x01 c, 0x42 c, 0x00 c, 0x00 c, 0x04 c, 0x00 c, 0x7c c, 0x42 c, 0x7c c, 0x42 c, 0x00 c, 0x02 c,
0x42 c, 0x7c c, 0x00 c, 0x00 c, 0x03 c, 0x00 c, 0x3c c, 0x42 c, 0x40 c, 0x00 c, 0x03 c, 0x40 c, 0x42 c, 0x3c c, 0x00 c, 0x00 c,
0x03 c, 0x00 c, 0x78 c, 0x44 c, 0x42 c, 0x00 c, 0x03 c, 0x42 c, 0x44 c, 0x78 c, 0x00 c, 0x00 c, 0x04 c, 0x00 c, 0x7e c, 0x40 c,
0x7c c, 0x40 c, 0x00 c, 0x02 c, 0x40 c, 0x7e c, 0x00 c, 0x00 c, 0x04 c, 0x00 c, 0x7e c, 0x40 c, 0x7c c, 0x40 c, 0x02 c, 0x40 c,
0x02 c, 0x00 c, 0x00 c, 0x06 c, 0x3c c, 0x42 c, 0x40 c, 0x4e c, 0x42 c, 0x3c c, 0x00 c, 0x00 c, 0x01 c, 0x00 c, 0x42 c, 0x00 c,
0x02 c, 0x42 c, 0x7e c, 0x42 c, 0x02 c, 0x42 c, 0x02 c, 0x00 c, 0x00 c, 0x01 c, 0x3e c, 0x08 c, 0x03 c, 0x08 c, 0x00 c, 0x01 c,
0x3e c, 0x00 c, 0x00 c, 0x01 c, 0x00 c, 0x02 c, 0x02 c, 0x02 c, 0x02 c, 0x42 c, 0x00 c, 0x01 c, 0x3c c, 0x00 c, 0x00 c, 0x07 c,
0x00 c, 0x44 c, 0x48 c, 0x70 c, 0x48 c, 0x44 c, 0x42 c, 0x00 c, 0x00 c, 0x01 c, 0x00 c, 0x40 c, 0x04 c, 0x40 c, 0x00 c, 0x01 c,
0x7e c, 0x00 c, 0x00 c, 0x04 c, 0x00 c, 0x42 c, 0x66 c, 0x5a c, 0x42 c, 0x02 c, 0x42 c, 0x02 c, 0x00 c, 0x00 c, 0x06 c, 0x42 c,
0x62 c, 0x52 c, 0x4a c, 0x46 c, 0x42 c, 0x00 c, 0x00 c, 0x02 c, 0x00 c, 0x3c c, 0x42 c, 0x03 c, 0x42 c, 0x00 c, 0x01 c, 0x3c c,
0x00 c, 0x00 c, 0x02 c, 0x00 c, 0x7c c, 0x42 c, 0x00 c, 0x02 c, 0x42 c, 0x7c c, 0x40 c, 0x00 c, 0x01 c, 0x40 c, 0x00 c, 0x00 c,
0x02 c, 0x00 c, 0x3c c, 0x42 c, 0x00 c, 0x04 c, 0x42 c, 0x52 c, 0x4a c, 0x3c c, 0x00 c, 0x00 c, 0x02 c, 0x00 c, 0x7c c, 0x42 c,
0x00 c, 0x04 c, 0x42 c, 0x7c c, 0x44 c, 0x42 c, 0x00 c, 0x00 c, 0x07 c, 0x00 c, 0x3c c, 0x40 c, 0x3c c, 0x02 c, 0x42 c, 0x3c c,
0x00 c, 0x00 c, 0x02 c, 0x00 c, 0xfe c, 0x10 c, 0x04 c, 0x10 c, 0x02 c, 0x00 c, 0x05 c, 0x42 c, 0x00 c, 0x01 c, 0x3c c, 0x00 c,
here swap -
create;
constant ursna48-size
